boost::geometry::strategy::side::side_of_intersection Class Reference

List of all members.

## Static Public Member Functions

template<typename Segment , typename Point >
static int | apply (Segment const &a, Segment const &b, Segment const &c, Point const &fallback_point)
template<typename T , typename Segment , typename Point >
static T | side_value (Segment const &a, Segment const &b, Segment const &c, Point const &fallback_point)

## Member Function Documentation

template<typename T , typename Segment , typename Point >

static T boost::geometry::strategy::side::side_of_intersection::side_value | ( | Segment const & | a,
|  | Segment const & | b,
|  | Segment const & | c,
|  | Point const & | fallback_point
| ) |  | `[static]`

template<typename Segment , typename Point >

static int boost::geometry::strategy::side::side_of_intersection::apply | ( | Segment const & | a,
|  | Segment const & | b,
|  | Segment const & | c,
|  | Point const & | fallback_point
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK